This page lists publically-released patches for Veritas Enterprise Products.
For Product GA build, see Veritas Entitlement Management System(VEMS) by clicking the Veritas Support 'Licensing' option.
For information on private patches, contact Veritas Technical Support.
For NetBackup Enterprise Server and NetBackup Server patches, see the NetBackup Downloads.
Patches for your product can have a variety of names. These names are based on product, component, or package names. For more information on patch naming conventions and the relationship between products, components, and packages, see the SORT online help.
4.0.2.1 (AxRT 4.0 MP2 PP1)
Obsolete
The latest patch(es) : 4.0.4.0 (AxRT 4.0 MP4) 
Sign in if you want to rate this patch.

 Basic information
Release type: Point Patch
Release date: 2005-11-16
OS update support: None
Technote: None
Documentation: None
Popularity: 479 viewed    14 downloaded
Download size: 867.79 KB
Checksum: 3873051105

 Applies to one or more of the following products:
Storage Foundation 4.0 On AIX 5.1
Storage Foundation 4.0 On AIX 5.2
Storage Foundation 4.0 On AIX 5.3
Storage Foundation for DB2 4.0 On AIX 5.1
Storage Foundation for DB2 4.0 On AIX 5.2
Storage Foundation for DB2 4.0 On AIX 5.3
Storage Foundation for Oracle 4.0 On AIX 5.1
Storage Foundation for Oracle 4.0 On AIX 5.2
Storage Foundation for Oracle 4.0 On AIX 5.3
Storage Foundation HA 4.0 On AIX 5.1
Storage Foundation HA 4.0 On AIX 5.2
Storage Foundation HA 4.0 On AIX 5.3
Volume Manager 4.0 On AIX 5.1
Volume Manager 4.0 On AIX 5.2
Volume Manager 4.0 On AIX 5.3
Volume Replicator 4.0 On AIX 5.1
Volume Replicator 4.0 On AIX 5.2
Volume Replicator 4.0 On AIX 5.3

 Obsolete patches, incompatibilities, superseded patches, or other requirements:

This patch is obsolete. It is superseded by: Release date
4.0.4.0 (AxRT 4.0 MP4) 2006-12-04

This patch supersedes the following patches: Release date
4.0.1.2 (AxRT 4.0 MP1 PP2) (obsolete) 2006-02-21
4.0.1.1 (AxRT 4.0 MP1 PP1) (obsolete) 2005-07-27

 Fixes the following incidents:
422244, 422246

 Patch ID:
VRTSdmproot-01.00.0000.0000
VRTSvxvm-04.00.0002.0001

 Readme file  [Save As...]
LVM DMP CAP for AxRT 4.0 MP2.

CAP Information:
==================

Note: This LVM DMP CAP release is supported only on AIX 5.3.

This CAP is a controlled distribution and is only supported on AIX 5.3.
It requires Storage Foundation Product 4.0 installed at Maintenance Pack
level 2. It also requires additional patches necessary for Storage Foundation,
and the install package for supporting LVM devices with VERITAS DMP. The
required packages are provided with this README file for

VRTSvxvm.bff                Patch for VERITAS Volume Manager at 4.0.2.1 level
VRTSdmproot.bff             Install package for supporting LVM devices with DMP
VRTSvxfs.4.0.2.2-incr.bff   Patch for VERITAS File System at 4.0.2.2. level

Before installing VRTSdmproot.bff, you must verify that Storage Foundation
is installed at Maintenance Pack 2 level. You must then apply the point
patches for VERITAS Volume Manager and File Systems provided with this
CAP, and then proceed with installing VRTSdmproot.bff.

Installation Procedure:
=======================

1. Since inistallation patch will configure new kernel extensions, you
   must verify that no VxFS file systems are mounted or VxVM volumes are
   in use before installation staring the installation procedure. All
   applications using VxVM volumes have to be stopped. If any VxVM volume
   is in use, the installation process will be aborted.

2. Use the installp or Smit to install the required packages.

   Using installp:

   0. Before applying this patch, please stop the vxsvc process:

        # /opt/VRTSob/bin/vxsvcctrl stop

   1. Apply the patch for VERITAS Volume Manager:

        # installp -ag -d ./VRTSvxvm.04.00.0002.0001.bff VRTSvxvm
      To apply and commit this patch, use following command

        # installp -acg -d ./VRTSvxvm.04.00.0002.0001.bff VRTSvxvm

   2. Apply the patch for VERITAS File System. This patch may have already
      been installed on your system. To check whether the patch is installed
      use lslpp command, as shown below, to display the fix level of the
      installed VRTSvxfs. If the fix level is at or above 4.0.2.2, you should
      not install the patch for VERITAS File System.

        # lslpp -l VRTSvxfs

      To apply the patch for VERITAS File System, use the following command:

        # installp -aXd VRTSvxfs.4.0.2.2-incr.bff VRTSvxfs

      To apply and commit this patch, use following command

        # installp -acXd VRTSvxfs.4.0.2.2-incr.bff VRTSvxfs

   3. Apply the package for DMP support for LVM device.

        # installp -acg -d ./VRTSdmproot.bff VRTSvxvm

A system reboot is required after installing all the above patches/package.


Files/Binaries included in VRTSdmproot package:
==========================================

/usr/lib/drivers/vxdmp.5.3


Incidents fixed in this patch (entire list):
============================================

422244  AIX : Support for LVM / DMP dump device
422246  AIX : 4.0MP2_pp1 Packaging changes to Support for LVM / DMP dump device


e426382 WORKAROUND:
===================

In a two node cluster executing "vxdmproot install" and rebooting both nodes
simultaneously, would render one system unbootable. The unbootable system
would get either the fsck error or hang on mount. The workaround would be
to bring down the good system to start the unbootable system without errors.
After this try to bring up the halted good system.

APAR REQUIREMENTS:
==================

Running VxVM on AIX 5.3 requires following three APARs. Without it, one
can run into panic/hang/memory leak issues.

IY69000  Memory Leak issue.
IY69539  unpin_buf panic while starting vxconfigd.
IY70336  panic during scsi passthro  on MPIO devices.

All three APARs are part of 5300-03 (ML3).

INFO ON PAGING REQUIREMENTS:
============================

It is advisable to have atleast 1 GB of paging space on the production system.



Read and accept Terms of Service